#ifndef SEIMODBUSPAGE_H
#define SEIMODBUSPAGE_H

#include <QWidget>
#include "ZTInfo.h"

class COutilModbus;

namespace Ui {
class CSEIModbusPage;
}

class CSEIModbusPage : public QWidget
{
    Q_OBJECT
    
public:
    explicit CSEIModbusPage(QWidget *parent = 0);
    ~CSEIModbusPage();


    COutilModbus *mProgramHandle;

    int SetConnected(bool Connected);
    void UpdateZTInfo(CZTInfo *DataStruct);
    
private:
    Ui::CSEIModbusPage *ui;

public slots:
    void ServerStartStopPressed();
    void EnableWatchdogChkBxClicked();
    void AN1ChkBoxToggled();
    void AN2ChkBoxToggled();
};

#endif // SEIMODBUSPAGE_H
